Bug 830485 - [vdsm][setupNetworks] netConfigDirty flag not reported in correct place
[vdsm][setupNetworks] netConfigDirty flag not reported in correct place
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: vdsm (Show other bugs)
6.4
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Igor Lvovsky
Meni Yakove
network
:
Depends On:
Blocks: 830488
  Show dependency treegraph
 
Reported: 2012-06-10 03:03 EDT by Mike Kolesnik
Modified: 2012-12-04 13:59 EST (History)
7 users (show)

See Also:
Fixed In Version: vdsm-4.9.6-17.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 13:59:11 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike Kolesnik 2012-06-10 03:03:47 EDT
Description of problem:
netConfigDirty flag is reported as part of VDS statistics, but when setting up networks or bringing the host up, the relevant call is to get VDS capabilities.
Since this flag represents the state of the network config, which is reported in capabilities, it should also be there.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
For backwards compatibility this should remain reported as part of statistics, probably until next major version.
Comment 1 Igor Lvovsky 2012-06-11 12:57:17 EDT
http://gerrit.ovirt.org/#/c/5257/
Comment 2 Meni Yakove 2012-07-23 07:51:24 EDT
Verified on vdsm-4.9.6-23.0.el6_3.x86_64.
Comment 5 errata-xmlrpc 2012-12-04 13:59:11 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-1508.html

Note You need to log in before you can comment on or make changes to this bug.